%define	module	PyXB

Name:		python-pyxb
Version:	1.2.4
Release:	%mkrel 2
Summary:	Python XML Schema Bindings
License:	Apache
Group:		Development/Python
Url:		http://pyxb.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/pyxb/pyxb/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)

%description
PyXB is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n	python3-pyxb
Summary:	Python 3 XML Schema Bindings
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description -n	python3-pyxb
PyXB is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
  cd %{buildroot}%{_bindir}
  for B in pyxb*; do
  mv $B $(echo $B |sed 's/pyxb/python3-pyxb/'); done
popd

%py2_install

%files
%doc doc/* LICENSE NOTICE PKG-INFO README.txt examples/*
%{python2_sitelib}/*
%{_bindir}/pyx*

%files -n python3-pyxb
%doc doc/* LICENSE NOTICE PKG-INFO README.txt examples/*
%{python3_sitelib}/*
%{_bindir}/python3-pyxb*


%changelog
* Mon Jan 18 2016 daviddavid <daviddavid> 1.2.4-2.mga6
+ Revision: 925662
- use new python macros
- add python3 package

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.2.4-1.mga6
+ Revision: 925561
- 1.2.4

* Wed Oct 29 2014 dmorgan <dmorgan> 1.2.3-4.mga5
+ Revision: 794458
- Revert to version 1.2.3

* Thu Oct 16 2014 dmorgan <dmorgan> 1.2.4-3.mga5
+ Revision: 764637
- Fix provides

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 dmorgan <dmorgan> 1.2.4-1.mga5
+ Revision: 737872
- New version, with python3 build

* Sat Sep 27 2014 tv <tv> 1.2.3-3.mga5
+ Revision: 729610
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 688292
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 1.2.3-1.mga5
+ Revision: 673591
- imported package python-pyxb

